Page MenuHomePhabricator

Remove BatchRowUpdate from Flow and Echo and use the one in MediaWiki core instead
Closed, ResolvedPublic

Description

Replace EchoBatchRowUpdate usage with BatchRowUpdate from core. Same for accompanying classes.

The Echo version is used in other extensions (at least Flow); they have to be replaced before the removal is merged.

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 20 2015, 11:26 PM

Could not find any other affected MediaWiki extensions at least in Wikimedia Git repositories:

$:andre\> pwd
/home/foo/wikimedia/git/mediawiki-extensions
$:andre\> grep -r "EchoBatchRowUpdate" .
./Echo/autoload.php:	'EchoBatchRowUpdate' => __DIR__ . '/includes/BatchRowUpdate.php',
./Echo/maintenance/updateEchoSchemaForSuppression.php:		$updater = new EchoBatchRowUpdate(
./Echo/includes/BatchRowUpdate.php: *   $updater = new EchoBatchRowUpdate(
./Echo/includes/BatchRowUpdate.php: * An example maintenance script utilizing the EchoBatchRowUpdate can be located in the Echo
./Echo/includes/BatchRowUpdate.php:class EchoBatchRowUpdate {
./Flow/maintenance/FlowUpdateWorkflowPageId.php:		$updater = new EchoBatchRowUpdate( $it, $writer, $gen );
./Flow/maintenance/FlowFixWorkflowLastUpdateTimestamp.php:		$updater = new EchoBatchRowUpdate(
./Flow/maintenance/FlowFixLog.php:		$updater = new EchoBatchRowUpdate(
./Flow/maintenance/FlowExternalStoreMoveCluster.php:        $updater = new EchoBatchRowUpdate(
Aklapper renamed this task from Remove BatchRowUpdate and use the core one instead to Remove BatchRowUpdate from Flow and Echo and use the one in MediaWiki core instead.Dec 5 2015, 7:45 PM
Sn1per claimed this task.Dec 14 2015, 7:25 PM

Change 259397 had a related patch set uploaded (by Sn1per):
Replace FlowBatchRowUpdate with BatchRowUpdate

https://gerrit.wikimedia.org/r/259397

Change 259405 had a related patch set uploaded (by Sn1per):
Replace EchoBatchRowUpdate with BatchRowUpdate

https://gerrit.wikimedia.org/r/259405

Change 259406 had a related patch set uploaded (by Sn1per):
Replace EchoBatchRowUpdate with BatchRowUpdate

https://gerrit.wikimedia.org/r/259406

Change 259405 abandoned by Sn1per:
Replace EchoBatchRowUpdate with BatchRowUpdate

Reason:
Change-Id mixup

https://gerrit.wikimedia.org/r/259405

Change 259406 merged by jenkins-bot:
Replace EchoBatchRowUpdate with BatchRowUpdate

https://gerrit.wikimedia.org/r/259406

Change 259397 merged by jenkins-bot:
Replace EchoBatchRowUpdate with BatchRowUpdate

https://gerrit.wikimedia.org/r/259397

Sn1per closed this task as Resolved.Dec 23 2015, 4:15 PM